=== debian/changelog ===
golang-github-sigstore-fulcio (1.2.0-2) unstable; urgency=medium

  * Source-only re-upload for testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Jun 2024 18:13:12 -0400

golang-github-sigstore-fulcio (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1073554)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Jun 2024 08:57:05 -0400
