## golang-github-sigstore-fulcio 1.6.5

=== debian/changelog ===
golang-github-sigstore-fulcio (1.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Nov 2024 15:28:03 -0500
