=== debian/control ===
Source: golang-github-sigstore-fulcio
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-sigstore-sigstore-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-thalesignite-crypto11-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-fulcio
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-fulcio.git
Homepage: https://github.com/sigstore/fulcio
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/fulcio

Package: golang-github-sigstore-fulcio-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-thalesignite-crypto11-dev, ${misc:Depends}
Description: Sigstore OIDC PKI (library)
 Fulcio is a free-to-use certificate authority for issuing code signing
 certificates for an OpenID Connect (OIDC) identity, such as email
 address.
 .
 Fulcio only issues short-lived certificates that are valid for 10
 minutes.
