## golang-github-sigstore-fulcio 1.7.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-.PHONY: all test clean lint gosec
+.PHONY: all test clean lint gosec cert-maker
 
 all: fulcio
 # Ensure Make is run with bash shell as some syntax below is bash-specific
@@ -77,12 +77,19 @@
 fulcio: $(SRCS) ## Build Fulcio for local tests
 	go build -trimpath -ldflags "$(LDFLAGS)"
 
+cert-maker: ## Build the Fulcio Certificate Maker tool
+	go build -trimpath -ldflags "$(LDFLAGS)" -o certificate-maker ./cmd/certificate_maker
+
 test: ## Runs go test
 	go test ./...
 
 clean: ## Clean the workspace
 	rm -rf dist
 	rm -rf fulcio
+	rm -rf certificate-maker
+	rm -rf root.pem
+	rm -rf intermediate.pem
+	rm -rf leaf.pem
 
 clean-gen: clean
 	rm -rf $(shell find pkg/generated -iname "*.go") *.swagger.json
@@ -118,6 +125,14 @@
 ## Images with ko
 ## --------------------------------------
 
+.PHONY: ko
+ko:
+	# fulcio
+	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
+	KO_DOCKER_REPO=$(KO_PREFIX)/fulcio ko resolve --bare \
+		--platform=linux/amd64 --tags $(GIT_VERSION) --tags $(GIT_HASH) \
+		--image-refs fulcioImagerefs --filename config/ > $(FULCIO_YAML)
+
 .PHONY: ko-local
 ko-local:
 	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
@@ -136,6 +151,10 @@
 .PHONY: ko-publish
 ko-publish:
 	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) ko publish .
+
+.PHONY: sign-keyless-ci
+sign-keyless-ci: ko
+	cosign sign --yes -a GIT_HASH=$(GIT_HASH) $(KO_DOCKER_REPO)/fulcio:$(GIT_HASH)
 
 ## --------------------------------------
 ## Modules
