=== debian/changelog ===
golang-github-sigstore-fulcio (1.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Use dh-sequence-golang.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 07 Oct 2025 22:59:24 +0200
