=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-sigstore-sigstore-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-thalesignite-crypto11-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-fulcio
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-fulcio.git
 Homepage: https://github.com/sigstore/fulcio
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/sigstore/fulcio
 
 Package: golang-github-sigstore-fulcio-dev
