=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export DH_GOLANG_BUILDPKG := github.com/sigstore/fulcio/pkg/api github.com/sigstore/fulcio/pkg/certificate
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
